This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 811892 - [as7]Improve deployment semantics in domain mode
[as7]Improve deployment semantics in domain mode
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-12 05:03 EDT by Heiko W. Rupp
Modified: 2013-09-01 05:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 05:57:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-04-12 05:03:06 EDT
From Bug 767974 :

Still this needs more work as the "deployment" type needs to be better
specified for server-group and managed server level
* you don't want to upload content to individual managed servers
* the server-group has no notion of the "hash" 
* different server groups may want to run different apps with the same runtime
name
Comment 1 Heiko W. Rupp 2012-04-13 10:50:30 EDT
For rhq.4.4

* ManagedServer get a MSDeployment type that does not allow create/delete
* users need to be presented with runtime-name+name so distinguish what to deploy where.
Comment 2 Heiko W. Rupp 2012-04-17 08:51:10 EDT
Note that we have a general issue in RHQ here : deploying to a server group and undeploying
only directly manipulates the RHQ-resources on server group level.
The deployments on managed server level 
- are not directly added to the inventory
- are not (directly) removed from inventory

RHQ currently has no mechanism to e.g. trigger re-scans (which for a server group can even span multiple agents) or to auto-remove those un-deployed files.
Comment 3 Heiko W. Rupp 2012-04-17 09:08:06 EDT
master 6c4af98

Please see note in comment 2
Comment 4 Heiko W. Rupp 2013-09-01 05:57:22 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.